View Issue Details

IDProjectCategoryView StatusLast Update
0012179LazarusIDEpublic2009-09-14 08:39
ReporterBenito van der Zander Assigned ToMattias Gaertner  
PrioritynormalSeveritytweakReproducibilityhave not tried
Status closedResolutionfixed 
Product Version0.9.25 (SVN) 
Target Version1.0.0Fixed in Version0.9.29 (SVN) 
Summary0012179: components from the clipboard don't insert their unit
DescriptionIf you normally put a component on the form the designer automatically adds the corresponding unit to the uses list (e.g. stdctrls for Tlabel). But if you paste a component from the clipboard, this doesn't happen.
TagsNo tags attached.
Fixed in Revision
LazTarget1.0
Widgetset
Attached Files

Activities

Zeljan Rikalo

2009-09-12 23:15

developer   ~0030673

Can you re-test ? It seem that it works. (0.9.29 r21646 gtk,gtk2,qt)
1st test
1.Created application
2.Added TArrow onto form -> Arrow added into uses section
3.Created new form
4.Copied TArrow from first form
5.Pasted TArrow on second form -> Arrow added into uses section

6.Created new application
7.Pasted TArrow from clipboard -> Arrow added into uses section

Benito van der Zander

2009-09-13 21:46

reporter   ~0030698

you're right, seems to work now

Zeljan Rikalo

2009-09-14 08:37

developer   ~0030701

Fixed during 0.9.27/0.9.29

Issue History

Date Modified Username Field Change
2008-09-18 18:25 Benito van der Zander New Issue
2008-09-18 19:56 Vincent Snijders LazTarget => 1.0
2008-09-18 19:56 Vincent Snijders Assigned To => Mattias Gaertner
2008-09-18 19:56 Vincent Snijders Status new => acknowledged
2008-09-18 19:56 Vincent Snijders Target Version => 1.0.0
2008-10-02 19:35 Vincent Snijders Status acknowledged => assigned
2009-09-12 23:15 Zeljan Rikalo Note Added: 0030673
2009-09-12 23:15 Zeljan Rikalo Status assigned => feedback
2009-09-13 21:46 Benito van der Zander Note Added: 0030698
2009-09-14 08:37 Zeljan Rikalo Status feedback => resolved
2009-09-14 08:37 Zeljan Rikalo Fixed in Version => 0.9.29 (SVN)
2009-09-14 08:37 Zeljan Rikalo Resolution open => fixed
2009-09-14 08:37 Zeljan Rikalo Note Added: 0030701
2009-09-14 08:39 Zeljan Rikalo Status resolved => closed